org.apache.cassandra.metrics

## Class AuthMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.AuthMetrics

-     public class AuthMetrics
      extends java.lang.Object

  Metrics about authentication

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected com.codahale.metrics.Meter` | `failure` Number and rate of login failures
    `static AuthMetrics` | `instance`
    `protected com.codahale.metrics.Meter` | `success` Number and rate of successful logins

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `init()`
    `void` | `markFailure()`
    `void` | `markSuccess()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final AuthMetrics instance

    - #### success

          protected final com.codahale.metrics.Meter success

      Number and rate of successful logins

    - #### failure

          protected final com.codahale.metrics.Meter failure

      Number and rate of login failures

  - ### Method Detail

    - #### init

          public static void init()

    - #### markSuccess

          public void markSuccess()

    - #### markFailure

          public void markFailure()

Copyright © 2018 The Apache Software Foundation